import type { Address, Fetcher, FetcherDeclaration, ImageProxyFn, IpfsUrlFn, JsonProxyFn, NftMetadata } from "./types";
declare type FetchWrapperOptions = {
    imageProxy?: ImageProxyFn;
    ipfsUrl?: IpfsUrlFn;
    jsonProxy?: JsonProxyFn;
};
export declare class FetchWrapper {
    private fetcher;
    private fetchContext;
    constructor(fetcher: Fetcher<unknown> | FetcherDeclaration, options?: FetchWrapperOptions);
    private fetchContextFromOptions;
    private normalizeFetcher;
    private isFetcherDeclarationEthers;
    private isFetcherDeclarationEthereum;
    fetchNft(contractAddress: Address, tokenId: string): Promise<NftMetadata>;
}
export {};
